Bug 815098 - Review Request: maven-processor-plugin - Maven Processor Plugin
Review Request: maven-processor-plugin - Maven Processor Plugin
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 815101
  Show dependency treegraph
 
Reported: 2012-04-22 09:56 EDT by gil cattaneo
Modified: 2012-06-30 17:50 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-06-30 17:50:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mgoldman: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description gil cattaneo 2012-04-22 09:56:30 EDT
Spec URL: http://gil.fedorapeople.org/maven-processor-plugin.spec
SRPM URL: http://gil.fedorapeople.org/maven-processor-plugin-2.0.5-1.fc16.src.rpm
Description: A maven plugin to process annotation for jdk6 at compile time
This plugin helps to use from maven the new annotation processing
provided by JDK6 integrated in java compiler
This plugin could be considered the 'alter ego' of maven apt plugin.

Tested on:http://koji.fedoraproject.org/koji/taskinfo?taskID=4013219
Comment 1 Marek Goldmann 2012-06-21 05:27:39 EDT
Package Review
==============

Key:
- = N/A
x = Check
! = Problem
? = Not evaluated

=== REQUIRED ITEMS ===
[!]  Rpmlint output:

0 packages and 1 specfiles checked; 0 errors, 1 warnings.
maven-processor-plugin.src: W: summary-not-capitalized C maven-processor-plugin Maven Mojo
maven-processor-plugin.src: W: name-repeated-in-summary C maven-processor-plugin
maven-processor-plugin.src: W: invalid-url Source0: maven-processor-plugin-2.0.5-src-svn.tar.gz
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
maven-processor-plugin.noarch: W: summary-not-capitalized C maven-processor-plugin Maven Mojo
maven-processor-plugin.noarch: W: name-repeated-in-summary C maven-processor-plugin
maven-processor-plugin.noarch: W: no-documentation
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

See issue #1.

[x]  Package is named according to the Package Naming Guidelines[1].
[x]  Spec file name must match the base package name, in the format %{name}.spec.
[x]  Package meets the Packaging Guidelines[2].
[x]  Package successfully compiles and builds into binary rpms.
[x]  Buildroot definition is not present
[x]  Package is licensed with an open-source compatible license and meets other legal requirements as defined in the legal section of Packaging Guidelines[3,4].
[!]  License field in the package spec file matches the actual license.
License type: ASL 2.0 ?

See issue #2.

[-]  If (and only if) the source package includes the text of the license(s) in its own file, then that file, containing the text of the license(s) for the package is included in %doc.
[-]  All independent sub-packages have license of their own
[x]  Spec file is legible and written in American English.
[x]  Sources used to build the package matches the upstream source, as provided in the spec URL.
MD5SUM this package    : f8ccd5e72a8385bbbb7340c8ef3032c4
MD5SUM upstream package: 38a6c52724884af1d0de648c0eca41a6

SVN export ok.

[ ]  All build dependencies are listed in BuildRequires, except for any that are listed in the exceptions section of Packaging Guidelines[5].
[x]  Package must own all directories that it creates or must require other packages for directories it uses.
[x]  Package does not contain duplicates in %files.
[x]  File sections do not contain %defattr(-,root,root,-) unless changed with good reason
[x]  Permissions on files are set properly.
[x]  Package does NOT have a %clean section which contains rm -rf %{buildroot} (or $RPM_BUILD_ROOT). (not needed anymore)
[x]  Package consistently uses macros (no %{buildroot} and $RPM_BUILD_ROOT mixing)
[x]  Package contains code, or permissable content.
[x]  Fully versioned dependency in subpackages, if present.
[-]  Package contains a properly installed %{name}.desktop file if it is a GUI application.
[x]  Package does not own files or directories owned by other packages.
[x]  Javadoc documentation files are generated and included in -javadoc subpackage
[x]  Javadocs are placed in %{_javadocdir}/%{name} (no -%{version} symlinks)
[x]  Packages have proper BuildRequires/Requires on jpackage-utils
[x]  Javadoc subpackages have Require: jpackage-utils
[-]  Package uses %global not %define
[x]  If package uses tarball from VCS include comment how to re-create that tarball (svn export URL, git clone URL, ...)
[-]  If source tarball includes bundled jar/class files these need to be removed prior to building
[x]  All filenames in rpm packages must be valid UTF-8.
[x]  Jar files are installed to %{_javadir}/%{name}.jar (see [6] for details)
[x]  If package contains pom.xml files install it (including depmaps) even when building with ant
[x]  pom files has correct add_maven_depmap

=== Maven ===
[x]  Use %{_mavenpomdir} macro for placing pom files instead of %{_datadir}/maven2/poms
[-]  If package uses "-Dmaven.test.skip=true" explain why it was needed in a comment
[-]  If package uses custom depmap "-Dmaven.local.depmap.file=*" explain why it's needed in a comment
[x]  Package DOES NOT use %update_maven_depmap in %post/%postun
[x]  Packages DOES NOT have Requires(post) and Requires(postun) on jpackage-utils for %update_maven_depmap macro

=== Other suggestions ===
[x]  If possible use upstream build method (maven/ant/javac)
[x]  Avoid having BuildRequires on exact NVR unless necessary
[x]  Package has BuildArch: noarch (if possible)
[x]  Latest version is packaged.
[x]  Reviewer should test that the package builds in mock.
Tested on:

http://koji.fedoraproject.org/koji/taskinfo?taskID=4182732

=== Issues ===
1. Please change the summary to something like: "Maven Processor Plugin". Do not repeat name in sumamry, capitalize it. After you change it, update also the bug title.
2. Some classes are annotated with ASL 2.0 header, some not. There is no LICENSE file and the site here it is hosted says "GNU Lesser GPL". Please contact the project owner (available in POM) to clarify the license status.
Comment 3 Marek Goldmann 2012-06-21 07:28:04 EDT
Thanks, but we still don't know what's the actual license of this project. Once we hear back from the developer - we can move forward with the review. Until then, I'm holding this review.
Comment 5 Marek Goldmann 2012-06-21 10:27:38 EDT
After clearing the license with the project owner via email, the license field is corrected to "LGPLv3 and ASL 2.0".

================
*** APPROVED ***
================
Comment 6 gil cattaneo 2012-06-21 10:30:06 EDT
New Package SCM Request
=======================
Package Name: maven-processor-plugin
Short Description: Maven Processor Plugin
Owners: gil
Branches: f17
InitialCC: java-sig
Comment 7 Gwyn Ciesla 2012-06-21 10:42:03 EDT
Git done (by process-git-requests).
Comment 8 Fedora Update System 2012-06-21 11:54:53 EDT
maven-processor-plugin-2.0.5-2.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/maven-processor-plugin-2.0.5-2.fc17
Comment 9 Fedora Update System 2012-06-22 04:34:18 EDT
maven-processor-plugin-2.0.5-2.fc17 has been pushed to the Fedora 17 testing repository.
Comment 10 Fedora Update System 2012-06-30 17:50:11 EDT
maven-processor-plugin-2.0.5-2.fc17 has been pushed to the Fedora 17 stable repository.

Note You need to log in before you can comment on or make changes to this bug.